Bug Hunting Session
Bug 117367 - FORMATTING Merge cells dialog radio buttons cannot be unselected
Summary: FORMATTING Merge cells dialog radio buttons cannot be unselected
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-05-01 09:17 UTC by Emil Tanev
Modified: 2018-05-09 04:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
file (11.90 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-05-01 09:17 UTC, Emil Tanev
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emil Tanev 2018-05-01 09:17:59 UTC
Created attachment 141807 [details]
file

Open the file in Calc
Select A1-F10
Right-click - Merge cells
Select all three options

Issue: I think these should be exclusive, not possible to select more than one. It is also impossible to uncheck any of the buttons.

https://screencast-o-matic.com/watch/cFhVQ2bqiL

Version: 6.1.0.0.alpha1 (x64)
Build ID: cb47f0d320994e001bc38dc2ee9b7d957b15e6ab
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: en-US (en_US); Calc: group
Comment 1 Xisco Faulí 2018-05-01 19:54:51 UTC
Regression introduced by:

author	heiko tietze <tietze.heiko@gmail.com>	2018-04-12 10:23:55 +0200
committer	Heiko Tietze <tietze.heiko@gmail.com>	2018-04-12 13:20:46 +0200
commit	38f83693f096ae14cd43292223c5b16bbb001b87 (patch)
tree	ce939326f83982b3c693fa6721ca56959e5c942e
parent	cb4784e59dfd872d4120c9f5f81ccabc8f2fde4a (diff)
tdf#106544 - Merge cells dialog is difficult to understand

Bisected with: bibisect-linux64-6.1

Adding Cc: to heiko tietze
Comment 2 Heiko Tietze 2018-05-02 05:07:55 UTC
Thanks for catching the issue.
Comment 3 Commit Notification 2018-05-02 05:08:42 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9ff3ea9e38e9ae084cb9c1c670eb5ea657c834eb

tdf#117367 Merge cells radio button regression

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2018-05-03 10:24:04 UTC
Verified in

Version: 6.1.0.0.alpha1+
Build ID: f1579d3d6c5f5f3a651825e035b93bee7a4f43c6
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

@Heiko, Thanks for fixing this!!
Comment 5 Commit Notification 2018-05-09 04:32:02 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1bb5187a3b83bd0f1005d3f17b81c0f5bfd781d3

uitest for bug tdf#117367

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.